import at.jku.ssw.In;

class Company {
  public final int rank;
  public final String name;
  public final int revenue;
  public final int profit;
  
  private Company(int rank, String name, int revenue, int profit) {
    this.rank = rank;
    this.name = name;
    this.revenue = revenue;
    this.profit = profit;
  }
  
  public static Company readCompany() {
    int rank = readNumber();
    if (!In.done()) {
      return null;
    }
    String name = readText();
    int revenue = readNumber();
    int profit = readNumber();
    return new Company(rank, name, revenue, profit);
  }

  private static int readNumber() {
    int n = In.readInt();
    if(In.peek() == ';') {
      In.read();
    }
    return n;
  }
  
  private static String readText() {
    StringBuilder b = new StringBuilder();
    char ch = In.read();
    while(ch != ';') {
      b.append(ch);
      ch = In.read();
    }
    return b.toString();
  }
  
  public String toString() {
    return(String.format("%3d. %-40s %10d %10d", 
      rank, name, revenue, profit));
  }
  
}